.menu-categories-section .container {
  row-gap: 2rem;
  
  @media (width >= 56.25rem) {
    padding-bottom: 2rem;
  }
}

.menu-categories-title {
  text-align: left;
}

.menu-categories-slider {
  position: relative;
}

.menu-categories-slider .scroll-button {
  position: absolute;
  top: 40%;
  transform: translateY(-50%);
  z-index: 1;

  &.hidden {
    display: none;
  }

  &.left {
    left: -1rem;

    &:after {
      display: block;
      mask-image: url('../../assets/icons/angle-left.svg');
    }
  }

  &.right {
    right: -1rem;

    &:after {
      display: block;
      mask-image: url('../../assets/icons/angle-right.svg');
    }
  }
}

.menu-categories-list {
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
  overscroll-behavior-x: contain;
  scrollbar-width: none;
  column-gap: 2rem;
}

.menu-categories-item {
  flex: 0 0 60%;
  max-width: 15rem;
  scroll-snap-stop: always;
  scroll-snap-align: start;
  position: relative;

  @media (width >= 37.5rem) {
    flex: 0 0 calc(50% - 1.125rem);
  }

  @media (width >= 56.25rem) {
    flex: 0 0 calc(33.33% - 1.5rem);
  }

  @media (width >= 75rem) {
    flex: 0 0 calc(25% - 1.7rem);
  }
}

.menu-categories-link {
  row-gap: 1.25rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}

.menu-categories-image-container {
  display: flex;
  overflow: hidden;
  border-radius: 1rem;

  &:hover .menu-categories-image {
    scale: 1.1;
  }
}

.menu-categories-image {
  object-fit: cover;
  aspect-ratio: 1 / 1;
  transition: scale 0.3s;
}

.menu-categories-name {
  text-align: left;
  text-decoration: underline;
  text-decoration-color: transparent;
  text-underline-offset: 0.25rem;
  transition: text-decoration-color 0.3s;
  
  &:hover {
    text-decoration-color: currentColor;
  }
}